org.bouncycastle.crypto.params

## Class ParametersWithSalt

- java.lang.Object
- - org.bouncycastle.crypto.params.ParametersWithSalt

All Implemented Interfaces:
  CipherParameters

    public class ParametersWithSalt
    extends java.lang.Object
    implements CipherParameters

Cipher parameters with a fixed salt value associated with them.

### Constructor Summary

Constructors
Constructor and Description
`ParametersWithSalt(CipherParameters parameters, byte[] salt)`
`ParametersWithSalt(CipherParameters parameters, byte[] salt, int saltOff, int saltLen)`

### Method Summary

Methods
`CipherParameters` `getParameters()`
`byte[]` `getSalt()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParametersWithSalt

    public ParametersWithSalt(CipherParameters parameters,
                      byte[] salt)

#### ParametersWithSalt

    public ParametersWithSalt(CipherParameters parameters,
                      byte[] salt,
                      int saltOff,
                      int saltLen)

### Method Detail

#### getSalt

    public byte[] getSalt()

#### getParameters

    public CipherParameters getParameters()